package com.ruoyi.system.domain.vo;

import com.ruoyi.common.core.utils.StringUtils;

public class MetaVo
{
    private String title;
    private String icon;
    private boolean noCache;
    private String link;
    
    public MetaVo() {
    }
    
    public MetaVo(final String title, final String icon) {
        this.title = title;
        this.icon = icon;
    }
    
    public MetaVo(final String title, final String icon, final boolean noCache) {
        this.title = title;
        this.icon = icon;
        this.noCache = noCache;
    }
    
    public MetaVo(final String title, final String icon, final String link) {
        this.title = title;
        this.icon = icon;
        this.link = link;
    }
    
    public MetaVo(final String title, final String icon, final boolean noCache, final String link) {
        this.title = title;
        this.icon = icon;
        this.noCache = noCache;
        if (StringUtils.ishttp(link)) {
            this.link = link;
        }
    }
    
    public boolean isNoCache() {
        return this.noCache;
    }
    
    public void setNoCache(final boolean noCache) {
        this.noCache = noCache;
    }
    
    public String getTitle() {
        return this.title;
    }
    
    public void setTitle(final String title) {
        this.title = title;
    }
    
    public String getIcon() {
        return this.icon;
    }
    
    public void setIcon(final String icon) {
        this.icon = icon;
    }
    
    public String getLink() {
        return this.link;
    }
    
    public void setLink(final String link) {
        this.link = link;
    }
}
